<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('egg_collection_items', function (Blueprint $table) {
            $table->id();
            $table->foreignId('egg_collection_id')->constrained()->cascadeOnDelete();
            $table->foreignId('chicken_id')->constrained()->cascadeOnDelete();
            $table->unsignedInteger('eggs_count');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->nullable()->useCurrentOnUpdate();
            $table->softDeletes();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('egg_collection_items');
    }
};
